[@rxap/form-system](../wiki/globals) / ControlWithDataSource

# Interface: ControlWithDataSource\<Source, Target\>

Defined in: [packages/angular/form-system/src/lib/control-with-data-source.ts:4](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/control-with-data-source.ts#L4)

## Type Parameters

• **Source** = `any`

• **Target** = `any`

## Methods

### setDataSource()

> **setDataSource**(`name`, `dataSource`, `settings`?): `void`

Defined in: [packages/angular/form-system/src/lib/control-with-data-source.ts:5](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/control-with-data-source.ts#L5)

#### Parameters

##### name

`string`

##### dataSource

`DataSource`

##### settings?

[`UseDataSourceSettings`](../wiki/Interface.UseDataSourceSettings)\<`Source`, `Target`\>

#### Returns

`void`
